package servlet;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import bean.Kirja;

@WebServlet("/nayta_syotetty_kirja")
public class KirjanEteenpainvalitysServlet extends HttpServlet {
	//Nyt ei ole harmainta aavistustakaan, miksi seuraava rivi on tss koodissa!
	private static final long serialVersionUID = 1L;
    
    /**
     * @see HttpServlet#HttpServlet()
     */
    public KirjanEteenpainvalitysServlet() {
        super();
    }

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */	
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//yhdistetn kyselyn tulokset yhteen olioon
		String nimi = request.getParameter("nimi");
		String tekija = request.getParameter("tekija");
		String isbn = request.getParameter("isbn");
		Kirja book = new Kirja(nimi, tekija, isbn);
		
		//tallennetaan em. olio Requestin atribuutiksi
		request.setAttribute("kirja", book);
		
		//siirrytn sivulle, joka hoitaa sivun muotoilun
		request.getRequestDispatcher("nayta_kirja.jsp").forward(request, response);

}
}